/***************************************************************************/
/** @file       render_dx.h
    @brief      
    @author     shom
****************************************************************************/

#pragma once


struct IDirect3DVertexBuffer9;


class crender
{
public:
	crender();
	~crender();

	b32		Initialize( HWND h_wnd );
	void	Finalize();

	b32		BeginDraw();
	b32		EndDraw();

	LPDIRECT3DDEVICE9 ct	GetDevice()	ct;

private:
	void	release_all();

	LPDIRECT3D9				m_p_d3d;
	LPDIRECT3DDEVICE9 		m_p_device;

	D3DPRESENT_PARAMETERS	m_present_params;
};
